# ⌛️ Spins

## Overview

If spins are activated in the club, any key holder can participate.

To play, users must actively enter the `!spin` command in the friendtech club.\
A random number is generated, and if it's a winning number, you will automatically receive the prize, which can include clubs or direct rewards in $friend.

The number of spins and their availability will be generated periodically based on each user's key holding level.

**Available user commands:**

* !spin -> Start a spin in the club, generating a random number to determine if you win a prize.
* !myspins -> Check your available spins and spin level details.
* !prize -> View the list of available prize numbers and potential rewards.

***

## Requirements

These requirements are for you who want to ✚ Add roulette to your club.

1. A Telegram and FriendTech account.
2. The premium license activated with a [Fred V1 Key](https://www.friend.tech/0x1ef17ce5ce0e4ea09bcfbeea435e585bb19e0e78).
3. To add Fred Bot and start managing **Spins** in your club, you must be at the 💎 **Diamond** level in the [AutoGa Club Network](https://www.friend.tech/clubs/235305).

***

## Manage your Spins:

To start managing your spin, type the commands in your Club!\
You can also type `!premium` to get help from Fred.

There are 3 types of prizes:&#x20;

1. Club -> Send a club to the spin winner.
2. $friend  -> Send a $friend to the spin winner.
3. +spins -> Add more spins to the winner.

&#x20;You can configure the winning numbers and their prizes:

<pre><code><strong>!spinon -> Activate spins in your club.
</strong><strong>!spinoff -> Deactivate spins in your club.
</strong><strong>
</strong><strong>!addprize (winner_number) (club_id_prize) [min_keys] -> Add a club prize
</strong><strong>!addprize (winner_number) ($amount) [min_keys] -> Add a $friend prize
</strong><strong>!addprize (winner_number) (+amount) [min_keys] -> Add +spins prize
</strong><strong>
</strong><strong>!removeprize &#x3C;winner_number> -> Remove prize
</strong></code></pre>

* &#x20;club\_id\_prize -> The club ID you want to add as a prize.
* winner\_number -> The winning number generated by the system.
* $amount -> The amount of $FRIEND you want to add as a prize.
* +amount -> The number of additional spins you'd like to add to the prize.
* \[min\_keys] -> The minimum number of keys required to win (default is 1 if not specified).

Example add a club prize to number 30 and for Gold Level: 👇

<pre><code><strong>!addprize 30 226474 10
</strong></code></pre>

This command will add **club FT#226474** as a prize to spin number 30.\
And if the user has a 🥇 Gold level (10 keys), the system will automatically send the **club prize** to the winner's wallet.

If a prize is unavailable in your vault wallet, it will automatically be deactivated.

## **How to Set Up and Start:**

If you already meet the requirements, \
[click here](https://docs.alertfriend.com/overview/friendtech/start-setting-up) to follow the guide on how to set up your Telegram account with Friendtech.

{% hint style="info" %}
Spins can be activated in the clubs where you are the president.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alertfriend.com/overview/friendtech/spins.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
